Package com.complexible.stardog.spatial

# Enum Class Geosparql.SPATIAL_FUNCTIONS

java.lang.Object
java.lang.Enum<Geosparql.SPATIAL_FUNCTIONS>
com.complexible.stardog.spatial.Geosparql.SPATIAL_FUNCTIONS

All Implemented Interfaces:
  `Serializable`, `Comparable<Geosparql.SPATIAL_FUNCTIONS>`, `Constable`

Enclosing class:
  `Geosparql`

public static enum Geosparql.SPATIAL_FUNCTIONS extends Enum<Geosparql.SPATIAL_FUNCTIONS>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `AREA`
  `DISTANCE`
  `NEARBY`
  `RELATE`
  `WITHIN`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `abstract IRI`
  `iri()`
  `IRI`
  `serviceIri()`
  `static Geosparql.SPATIAL_FUNCTIONS`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static Geosparql.SPATIAL_FUNCTIONS[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### DISTANCE

    public static final Geosparql.SPATIAL_FUNCTIONS DISTANCE

  - ### WITHIN

    public static final Geosparql.SPATIAL_FUNCTIONS WITHIN

  - ### NEARBY

    public static final Geosparql.SPATIAL_FUNCTIONS NEARBY

  - ### RELATE

    public static final Geosparql.SPATIAL_FUNCTIONS RELATE

  - ### AREA

    public static final Geosparql.SPATIAL_FUNCTIONS AREA

- ## Method Details

  - ### values

    public static Geosparql.SPATIAL_FUNCTIONS[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static Geosparql.SPATIAL_FUNCTIONS valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### iri

    public abstract IRI iri()

  - ### serviceIri

    public IRI serviceIri()